@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');



/* NAVBAR */

.navbar-default, 
.navbar-default .navbar-collapse, 
.navbar-toggle,
.navbar-default .navbar-nav .dropdown-toggle {
    background-color: #44ada3 !important;
    border: none;
}

.navbar-default .active a,
.navbar-default a:hover, 
.navbar-default .active a:focus,
.navbar-default .navbar-nav a:hover,
.navbar-default .navbar-nav a:focus {
    background-color: #44ada3 !important;
    color: white !important;
}

.navbar-default .navbar-nav .dropdown-menu {
    background-color: white !important;
}

.navbar-default .navbar-nav .dropdown-menu a {
    background-color: white !important;
    color: black !important;
}

.navbar-default .navbar-nav .dropdown-menu a:hover,
.navbar-default .navbar-nav .dropdown-menu a:focus {
    background-color: white !important;
    color: #44ada3 !important;
}

.navbar-default .navbar-nav .dropdown-menu .active a {
    color: #44ada3 !important;
}



/* TOC */

.list-group-item {
  color: black !important;
}

.list-group-item:hover {
    background-color: white !important;
    color: #44ada3 !important;
}

.list-group-item.active {
    background-color: #44ada3 !important;
    color: white !important;
}

.list-group-item.active:hover {
    color: white !important;
}



/* Boxes */

div.lo, div.blue, div.red, div.green, div.yellow, div.frame { 
    border-radius: 5px; 
    padding: 20px 20px 10px 20px; 
    margin-top: 20px; 
    margin-bottom: 20px; 
}

.lo, .blue { 
    background-color:#d9edf7 !important; 
}

.green { 
    background-color:#dff0d8 !important; 
}

.yellow { 
    background-color:#fcf8e3 !important; 
}

.red { 
    background-color:#F3E3E5 !important; 
}

.frame {
    border: 1px solid #333333 !important; 
}

div.int {
    margin-left: 3em;
    margin-right: 3em;
    padding-left: 15px;
    padding-right: 15px;
    border-left: 8px solid #dff0d8;
    border-right: 8px solid #dff0d8;
}



/* Questions and solutions */

.question-begin, .solution-begin {
    padding: 10px 20px 10px 20px; 
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    margin-top: 20px;
    font-weight: 700; 
}

.question-begin {
    background: #F3E3E5;
    border-bottom: 1px solid #F3E3E5;
    border-left: 1px solid #F3E3E5;
    border-right: 1px solid #F3E3E5;
}

.solution-begin {
    background: #dff0d8;
    border-bottom: 1px solid #dff0d8;
    border-left: 1px solid #dff0d8;
    border-right: 1px solid #dff0d8;
    position: relative;
}


.question-body, .solution-body {
    padding: 20px 20px 10px 20px; 
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    margin-bottom: 20px;
}

.question-body {
    background: #ffffff;
    border-bottom: 1px solid #F3E3E5;
    border-left: 1px solid #F3E3E5;
    border-right: 1px solid #F3E3E5;
}

.solution-body {
    background: #ffffff;
    border-bottom: 1px solid #dff0d8;
    border-left: 1px solid #dff0d8;
    border-right: 1px solid #dff0d8;
}


.solution-icon {
    float: right;
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translate(0,-50%);
}



/* Optional box */

.optional-begin {
    padding: 10px 20px 10px 20px; 
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    margin-top: 20px;
    font-weight: 700; 
    border: 1px solid #333333 !important; 
    position: relative;
}

.optional-body {
    padding: 20px 20px 10px 20px; 
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    margin-bottom: 20px;
    border-left: 1px solid #333333 !important; 
    border-bottom: 1px solid #333333 !important; 
    border-right: 1px solid #333333 !important; 
}

.optional-icon {
    float: right;
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translate(0,-50%);
}



/* HEADERS */

h1 {
  padding-top: 2em !important;
  margin-top: -1em !important;
}

h2, h3, h4, h5, h6 {
  padding-top: 2em !important;
  margin-top: -1em !important;
}
